--- old/usr/src/uts/common/vm/seg.h	2015-11-24 09:34:52.313974127 -0500
+++ new/usr/src/uts/common/vm/seg.h	2015-11-24 09:34:52.317587021 -0500
@@ -223,8 +223,6 @@
 /* Values for segop_inherit */
 #define	SEGP_INH_ZERO	0x01
 
-int seg_inherit_notsup(struct seg *, caddr_t, size_t, uint_t);
-
 /* Delay/retry factors for seg_p_mem_config_pre_del */
 #define	SEGP_PREDEL_DELAY_FACTOR	4
 /*
--- old/usr/src/uts/common/vm/seg_dev.c	2015-11-24 09:34:52.430754082 -0500
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-11-24 09:34:52.434449103 -0500
@@ -214,7 +214,6 @@
 	.getmemid	= segdev_getmemid,
 	.getpolicy	= segdev_getpolicy,
 	.capable	= segdev_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 /*
--- old/usr/src/uts/common/vm/seg_kmem.c	2015-11-24 09:34:52.627576806 -0500
+++ new/usr/src/uts/common/vm/seg_kmem.c	2015-11-24 09:34:52.631275793 -0500
@@ -797,7 +797,6 @@
 	.getmemid	= segkmem_getmemid,
 	.getpolicy	= segkmem_getpolicy,
 	.capable	= segkmem_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 int
--- old/usr/src/uts/common/vm/seg_kp.c	2015-11-24 09:34:52.772069289 -0500
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-11-24 09:34:52.775789960 -0500
@@ -169,7 +169,6 @@
 	.getmemid	= segkp_getmemid,
 	.getpolicy	= segkp_getpolicy,
 	.capable	= segkp_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 
--- old/usr/src/uts/common/vm/seg_kpm.c	2015-11-24 09:34:52.954902492 -0500
+++ new/usr/src/uts/common/vm/seg_kpm.c	2015-11-24 09:34:52.967932752 -0500
@@ -134,7 +134,6 @@
 	.getmemid	= SEGKPM_BADOP(int),
 	.getpolicy	= SEGKPM_BADOP(lgrp_mem_policy_info_t *),
 	.capable	= segkpm_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 /*
--- old/usr/src/uts/common/vm/seg_map.c	2015-11-24 09:34:53.156832683 -0500
+++ new/usr/src/uts/common/vm/seg_map.c	2015-11-24 09:34:53.160602690 -0500
@@ -124,7 +124,6 @@
 	.getmemid	= segmap_getmemid,
 	.getpolicy	= segmap_getpolicy,
 	.capable	= segmap_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 /*
--- old/usr/src/uts/common/vm/seg_spt.c	2015-11-24 09:34:53.318868448 -0500
+++ new/usr/src/uts/common/vm/seg_spt.c	2015-11-24 09:34:53.322599753 -0500
@@ -109,7 +109,6 @@
 	.getmemid	= SEGSPT_BADOP(int),
 	.getpolicy	= segspt_getpolicy,
 	.capable	= SEGSPT_BADOP(int),
-	.inherit	= seg_inherit_notsup,
 };
 
 static int segspt_shmdup(struct seg *seg, struct seg *newseg);
@@ -169,7 +168,6 @@
 	.getmemid	= segspt_shmgetmemid,
 	.getpolicy	= segspt_shmgetpolicy,
 	.capable	= segspt_shmcapable,
-	.inherit	= seg_inherit_notsup,
 };
 
 static void segspt_purge(struct seg *seg);
--- old/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:34:53.497725740 -0500
+++ new/usr/src/uts/common/vm/vm_as.c	2015-11-24 09:34:53.501711232 -0500
@@ -2548,12 +2548,7 @@
 			break;
 
 		case MC_INHERIT_ZERO:
-			if (seg->s_ops->inherit == NULL) {
-				error = ENOTSUP;
-			} else {
-				error = segop_inherit(seg, raddr, ssize,
-				    SEGP_INH_ZERO);
-			}
+			error = segop_inherit(seg, raddr, ssize, SEGP_INH_ZERO);
 			if (error != 0) {
 				AS_LOCK_EXIT(as, &as->a_lock);
 				return (error);
--- old/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:34:53.685670587 -0500
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:34:53.689351535 -0500
@@ -1855,16 +1855,6 @@
 }
 
 /*
- * General not supported function for segop_inherit
- */
-/* ARGSUSED */
-int
-seg_inherit_notsup(struct seg *seg, caddr_t addr, size_t len, uint_t op)
-{
-	return (ENOTSUP);
-}
-
-/*
  * segop wrappers
  */
 int
--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-11-24 09:34:53.837779684 -0500
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-11-24 09:34:53.841407148 -0500
@@ -780,5 +780,4 @@
 	.getmemid	= segmf_getmemid,
 	.getpolicy	= segmf_getpolicy,
 	.capable	= segmf_capable,
-	.inherit	= seg_inherit_notsup,
 };
